(** Tools for list manipulation.
*)

val listsize_fixedpoint : ('a list -> 'a list) -> 'a list -> 'a list

val list_remove_first : ('a -> bool) -> 'a list -> 'a list

val listset_equal : ('a -> 'a -> bool) -> ('a list) -> ('a list) ->  bool

val print_list : ('a -> unit) -> ('a list) -> unit

val sub_list : int -> 'a list -> 'a list

val flatten_map : ('a -> 'b list) -> ('a list) -> ('b list)

val map_filter : ('a -> 'b ) -> ('a -> bool) -> ('a list) -> ('b list)
